//
//  SelectCompanyHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/26.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "SelectCompanyHttpCmd.h"
#import "SelectCompanyHttpResult.h"
static NSString *kActionUrl1 = @"/company/checkCompanyNum";

@implementation SelectCompanyHttpCmd
    
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[SelectCompanyHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}
    
- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[SelectCompanyHttpResult alloc]init];
    }
    return self;
}
    
- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
    
@end
NSString *const kHttpSelectCompanyHttpCmd_attr = @"attr";
NSString *const kHttpSelectCompanyHttpCmd_sysname = @"sysname";
NSString *const kHttpSelectCompanyHttpCmd_empid = @"empid";
NSString *const kHttpSelectCompanyHttpCmd_companyname = @"companyname";
NSString *const kHttpSelectCompanyHttpCmd_dbName = @"dbName";
NSString *const kHttpSelectCompanyHttpCmd_length = @"length";
NSString *const kHttpSelectCompanyHttpCmd_start = @"start";
NSString *const kHttpSelectCompanyHttpCmd_userid = @"userid";

